package com.jpsoft.weixin.entity;

import java.io.Serializable;
import java.util.Date;
import java.text.SimpleDateFormat;
import java.math.BigDecimal;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;

/**
  描述:wechat_reply_message的实体类
 */
@ApiModel(value = "自动回复消息设置")
public class ReplyMessage {
    @ApiModelProperty(value = "微信号")
	private String id;
    @ApiModelProperty(value = "事件")
	private String event;
    @ApiModelProperty(value = "回复消息")
	private String message;
    @ApiModelProperty(value = "创建时间")
	private Date createTime;
    @ApiModelProperty(value = "更新时间")
	private Date updateTime;

	/**
	 *获取微信号
	 */
    	public String getId(){
		return id;
	}
	
	/**
	 *设置微信号
	 */
	public void setId(String id){
		this.id = id;
	}
	/**
	 *获取事件
	 */
    	public String getEvent(){
		return event;
	}
	
	/**
	 *设置事件
	 */
	public void setEvent(String event){
		this.event = event;
	}
	/**
	 *获取回复消息
	 */
    	public String getMessage(){
		return message;
	}
	
	/**
	 *设置回复消息
	 */
	public void setMessage(String message){
		this.message = message;
	}
	/**
	 *获取创建时间
	 */
    	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
		public Date getCreateTime(){
		return createTime;
	}
	
	/**
	 *设置创建时间
	 */
	public void setCreateTime(Date createTime){
		this.createTime = createTime;
	}
	/**
	 *获取更新时间
	 */
    	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
		public Date getUpdateTime(){
		return updateTime;
	}
	
	/**
	 *设置更新时间
	 */
	public void setUpdateTime(Date updateTime){
		this.updateTime = updateTime;
	}
}